org.jfree.chart.labels

## Interface PieSectionLabelGenerator

All Known Implementing Classes:
  StandardPieSectionLabelGenerator

    public interface PieSectionLabelGenerator

Interface for a label generator for plots that use data from a `PieDataset`.

### Method Summary

Methods
`java.text.AttributedString` `generateAttributedSectionLabel(PieDataset dataset, java.lang.Comparable key)` Generates an attributed label for the specified series, or `null` if no attributed label is available (in which case, the string returned by `generateSectionLabel(PieDataset, Comparable)` will provide the fallback).
`java.lang.String` `generateSectionLabel(PieDataset dataset, java.lang.Comparable key)` Generates a label for a pie section.

### Method Detail

#### generateSectionLabel

    java.lang.String generateSectionLabel(PieDataset dataset,
                                        java.lang.Comparable key)

Generates a label for a pie section.

Parameters:
  `dataset` - the dataset (`null` not permitted).
  `key` - the section key (`null` not permitted).
Returns:
  The label (possibly `null`).

#### generateAttributedSectionLabel

    java.text.AttributedString generateAttributedSectionLabel(PieDataset dataset,
                                                            java.lang.Comparable key)

Generates an attributed label for the specified series, or `null` if no attributed label is available (in which case, the string returned by `generateSectionLabel(PieDataset, Comparable)` will provide the fallback). Only certain attributes are recognised by the code that ultimately displays the labels:

- `TextAttribute.FONT`: will set the font;
- `TextAttribute.POSTURE`: a value of `TextAttribute.POSTURE_OBLIQUE` will add `Font.ITALIC` to the current font;
- `TextAttribute.WEIGHT`: a value of `TextAttribute.WEIGHT_BOLD` will add `Font.BOLD` to the current font;
- `TextAttribute.FOREGROUND`: this will set the `Paint` for the current
- `TextAttribute.SUPERSCRIPT`: the values `TextAttribute.SUPERSCRIPT_SUB` and `TextAttribute.SUPERSCRIPT_SUPER` are recognised.

Parameters:
  `dataset` - the dataset.
  `key` - the key.
Returns:
  An attributed label (possibly `null`).